:root {
  --c-background: #fff;
  --c-base: #333;
  --c-link: #0164b6;
  --c-link-hover: #003868;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: "Noto Sans", system-ui, -apple-system, "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  color: var(--c-base);
  background-color: var(--c-background);
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

a {
  color: var(--c-link);
  transition: color 150ms;
}

a:hover,
a:focus {
  color: var(--c-link-hover);
}

h1 {
  font-size: 1.5rem;
  font-weight: normal;
  margin: 0;
}

h2 {
  font-size: 1.325rem;
  font-weight: normal;
  margin: 3rem 0 0.5rem;
}

h3 {
  font-size: 1.25rem;
  font-weight: normal;
  margin: 2rem 0 0.5rem;
}

h4 {
  font-size: 1.125rem;
  font-weight: normal;
  margin: 1rem 0 0.5rem;
}

h5 {
  font-size: 0.9375rem;
  margin: 1rem 0 0;
}

p {
  margin: 0 0 0.5rem;
  font-size: 0.9375rem;
  line-height: 1.5;
}

.portrait {
  margin: 0 0 0.75rem;
}

.portrait img {
  display: block;
  max-width: 100%;
  height: auto;
  margin: 0 auto;
  border-radius: 50%;
  filter: sepia(30%);
}

.slogan {
  margin-bottom: 1rem;
}

.links {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 0.5rem;
  list-style: none;
  margin: 0;
  padding: 0;
}

.links a {
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--c-background);
  background: var(--c-base);
  border-radius: 50%;
  width: 2rem;
  height: 2rem;
  transition: background-color 150ms;
}

.links a:hover,
.links a:focus {
  background: var(--c-link-hover);
}

.links svg {
  width: auto;
  height: 1rem;
}

.container {
  display: flex;
  flex-direction: column;
  max-width: 65rem;
  min-height: 100vh;
  margin: 0 auto;
  padding: 0 1rem;
}

.container.full-width {
  max-width: 100%;
}

.header {
  flex: 0 0 auto;
  padding: 2rem 0;
  text-align: right;
}

.header svg {
  width: 80%;
  max-width: 20rem;
  height: auto;
}

.content {
  flex: 1 1 auto;
}

.content.centered {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.footer {
  flex: 0 0 auto;
  padding: 2rem 0 1rem;
}

.footer ul {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 0.5rem 1rem;
  font-size: 0.875rem;
  list-style: none;
  margin: 0;
  padding: 0;
}

@media (min-width: 500px) {
  h1 {
    font-size: 2rem;
  }

  .container {
    padding: 0 2rem;
  }

  .footer ul {
    justify-content: flex-end;
  }
}

@media (prefers-color-scheme: dark) {
  :root {
    --c-background: #000;
    --c-base: #e6e6e6;
    --c-link: #57b3ff;
    --c-link-hover: #97cbff;
  }

  .portrait img {
    filter: brightness(0.9);
  }

  .header svg {
    filter: invert();
  }
}
